Subject: [git-svn] always prompted for passphrase with subversion 1.6

From: Tim Potter <[email-masked]>
Date: Thu, 27 Aug 2009 10:38:36 +1000

Hi everyone.  I am using git-svn with the Subversion 1.6 client compiled
with GNOME Keyring support.  This neat features allows a SSL client
certificate password to be cached inside GNOME Keyring instead of being
prompted to enter it every time.  However the git-svn script doesn't
appear to know about this and always prompts for a password.

Obviously there's some tweak required in the _auth_providers()
subroutine but I don't know enough about the Subversion Perl client to
figure out a fix.

Has anyone else run in to this problem?  I did a quick search on the
list but didn't find anything relevant.

Regards,

Tim.